Bug 12966 - Edition statement missing from card view in Z39.50 result list (acq+cataloguing)
Summary: Edition statement missing from card view in Z39.50 result list (acq+cataloguing)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-19 14:18 UTC by Katrin Fischer
Modified: 2021-06-14 21:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This adds the edition statement (MARC21 250) to the card/ISBD views in the Z39.50 search results in the acquisition and cataloging modules.
Version(s) released in:
21.05.00,20.11.03


Attachments
Add option 'all' to ISBD template (1.84 KB, patch)
2017-02-22 16:45 UTC, Pongtawat
Details | Diff | Splinter Review
Bug 12966: Add edition field to Card view (1.17 KB, patch)
2021-01-29 12:40 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 12966: Add edition field to Card view (1.22 KB, patch)
2021-01-29 14:30 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
acquisition (193.91 KB, image/png)
2021-01-29 14:33 UTC, Marjorie Barry-Vila
Details
card (228.80 KB, image/png)
2021-01-29 14:34 UTC, Marjorie Barry-Vila
Details
Bug 12966: Add edition field to Card view (1.28 KB, patch)
2021-02-14 15:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-09-19 14:18:26 UTC
The ISBD/Card view in the Z39.50 result list in acquisitions (order from external source) and cataloguing (Z.39.50 download) doesn't show the edition from 250$a, which would be very useful in finding the right record for a given ISBN.

It also seems that the ISBD pref is not used to generate the card view?
Comment 1 Pongtawat 2017-02-22 16:45:09 UTC
Created attachment 60565 [details] [review]
Add option 'all' to ISBD template
Comment 2 Pongtawat 2017-02-22 16:49:55 UTC
I'm sorry, my attachment go to the wrong bug. I can't find a way to remove it :(
Comment 3 Katrin Fischer 2017-02-22 17:23:55 UTC
I've set it to 'obsolete': Details > Edit details > obsolete checkbox
Comment 4 Nick Clemens 2021-01-29 12:40:49 UTC
Created attachment 116021 [details] [review]
Bug 12966: Add edition field to Card view

To test:
1 - Search Z3950 to add a record
2 - Find a record with an edition statement
3 - It shows in the table of results
4 - Check the card view
5 - No edition
6 - Apply patch
7 - Repeat
8 - Edition shows in card view
Comment 5 sandboxes@biblibre.com 2021-01-29 14:30:12 UTC
Patch tested with a sandbox, by Marjorie <marjorie.barry-vila@collecto.ca>
Comment 6 sandboxes@biblibre.com 2021-01-29 14:30:34 UTC
Created attachment 116035 [details] [review]
Bug 12966: Add edition field to Card view

To test:
1 - Search Z3950 to add a record
2 - Find a record with an edition statement
3 - It shows in the table of results
4 - Check the card view
5 - No edition
6 - Apply patch
7 - Repeat
8 - Edition shows in card view

Signed-off-by: Marjorie <marjorie.barry-vila@collecto.ca>
Comment 7 Marjorie Barry-Vila 2021-01-29 14:33:59 UTC
Created attachment 116036 [details]
acquisition
Comment 8 Marjorie Barry-Vila 2021-01-29 14:34:33 UTC
Created attachment 116037 [details]
card
Comment 9 Marjorie Barry-Vila 2021-01-29 14:34:56 UTC
tested on acquisition and cataloguing module.
worked as described in plan test.

Marjorie
Comment 10 Katrin Fischer 2021-02-14 15:36:07 UTC
(In reply to Marjorie Barry-Vila from comment #9)
> tested on acquisition and cataloguing module.
> worked as described in plan test.
> 
> Marjorie

Hi Marjorie, thx for the screenshots!
Comment 11 Katrin Fischer 2021-02-14 15:36:44 UTC
Created attachment 116867 [details] [review]
Bug 12966: Add edition field to Card view

To test:
1 - Search Z3950 to add a record
2 - Find a record with an edition statement
3 - It shows in the table of results
4 - Check the card view
5 - No edition
6 - Apply patch
7 - Repeat
8 - Edition shows in card view

Signed-off-by: Marjorie <marjorie.barry-vila@collecto.ca>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Jonathan Druart 2021-02-15 11:08:25 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 13 Fridolin Somers 2021-02-19 15:31:49 UTC
Trivial change, I choose to backport to stable.

Pushed to 20.11.x for 20.11.03